Summary:	The Sound player with the WinAmp GUI
Name: 		xmms
Version: 	1.2.11
Release: 	2
License: 	GPL
Group: 		Multimedia
URL: 		http://www.xmms.org/
Source0: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}.desktop
Source2:	%{name}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: 	libglib1.2-devel libgtk+1.2-devel libxml2-devel libvorbis-devel libogg-devel
BuildRequires: 	db1-devel libmikmod-devel XFree86-devel esound-devel gettext
Obsoletes: 	x11amp

%description
XMMS is a sound player written from scratch. Since it uses the WinAmp GUI, it
can use WinAmp skins, and play mp3s, mods, s3ms, and other formats. It now has
support for input, output, and general plugins, and has also been GPLd.

This package also provides an effect plugin based on Sox and a shell for xmms
in order to command the running xmms from any script/commandline.

cvs -d :pserver:anonymous@cvs.xmms.org:/cvs co xmms

%package 	devel
Summary:	Header files, and STATIC libs for building XMMS Plug-ins 
Group:		Development

%description 	devel
XMMS development includes for plug-ins

%prep
%setup -q -a 2
pushd xmms/Skins
tar xzf UltraClean_Colorpack* -C .
popd
rm xmms/Skins/{UltraClean_Colorpack*,README}

%build
#autoreconf -i -f
%configure --disable-nls --with-included-gettext
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/xmms/Skins
cp xmms/Skins/{*.zip,*.tar.gz} $RPM_BUILD_ROOT/usr/share/xmms/Skins/
mkdir -p $RPM_BUILD_ROOT/{root,etc/skel}
cp -r xmms/Skins/.xmms $RPM_BUILD_ROOT/root/;cp -r xmms/Skins/.xmms $RPM_BUILD_ROOT/etc/skel/
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia
touch -c `find $RPM_BUILD_ROOT/`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
/usr/bin/wm*
/usr/bin/xmms
/usr/lib/*.la
/usr/lib/*.so
/usr/lib/*.so.*
/usr/lib/xmms
/usr/man
/usr/share/peanut
/usr/share/xmms
/etc
/root

%files devel
%defattr(-,root,root)
/usr/bin/xmms-config
/usr/lib/*.a
/usr/include
/usr/share/aclocal
